summaryrefslogtreecommitdiff
path: root/scripts/create-image.sh
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2010-01-26 19:53:08 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2010-01-26 19:53:08 +0100
commit058a90c3d2c4ffcd92b1bc7d0e92330277e02442 (patch)
treec16e194395adfd4c9a9801b66a2cbb910475b7e8 /scripts/create-image.sh
parent8e082c5c9716197fc55a5980341aa09eb12d46b5 (diff)
check for mkfs utils
Diffstat (limited to 'scripts/create-image.sh')
-rwxr-xr-xscripts/create-image.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/scripts/create-image.sh b/scripts/create-image.sh
index 4a23b49cf..96a96ced8 100755
--- a/scripts/create-image.sh
+++ b/scripts/create-image.sh
@@ -24,6 +24,16 @@ if [ $(id -u) -ne 0 ];then
exit 1
fi
+printf "Checking if mkfs is installed"
+mkfs=$(which mkfs.$filesystem)
+
+if [ ! -z $mkfs -a -x $mkfs ];then
+ printf "...okay\n"
+else
+ printf "...failed\n"
+ exit 1
+fi
+
printf "Checking if parted is installed"
parted=$(which parted)